<?php

//ini_set('display_errors',1);

session_start();
date_default_timezone_set('America/Lima');
require_once '../../config/Cado.php';
require_once ("../consumopagar/cConsumopagar.php");
$oConsumopagar = new cConsumopagar();
require_once("../producto/cProductomarcacodigo.php");
$oProductomarcacodigo = new cProductomarcacodigo();
require_once ("../talonario/cTalonario.php");
$oTalonario= new cTalonario();
require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once("../producto/cProducto.php");
$oProducto = new cProducto();
require_once("../tipocambiotesoreria/cTipocambiotesoreria.php");
$oTipocambiotesoreria = new cTipocambiotesoreria();
require_once ("../documento/cDocumento.php");
$oDocumento = new cDocumento();
require_once("../formatos/formato.php");
function responder($estado=false, $mensaje='', $datos=[])
{
	header('Content-type: application/json');
	echo json_encode([
		'est' => $estado,
		'msj' => $mensaje,
		'dat' => $datos,
	]);
	exit;
}
$fecha = date('Y-m-d'); 

if($_POST['action']=='actualizar_estado'){
	
	$oConsumopagar->modificar_campo($_POST['conpag_id'],'edi','0');
	$data['msj'] = 'Se cancelo la modificacion correctamente.';
	echo json_encode($data);
	
}

if($_POST['action'] == 'editar'){
	
if(!empty($_POST['conpagid']))
{
		
		$oConsumopagar->modificar_campo($_POST['conpagid'],'dia',$_POST['dia']);
		$oConsumopagar->modificar_campo($_POST['conpagid'],'valven',$_POST['valven']);
		$oConsumopagar->modificar_campo($_POST['conpagid'],'igv',$_POST['igv']);
		$oConsumopagar->modificar_campo($_POST['conpagid'],'tot',$_POST['tot']);
		
		$dts=$oConsumopagar->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
		$conpag_idn=$dt['id'];
		mysqli_free_result($dts);
		
		
	$data['conpag_act']=1;
	$data['conpag_id']=$conpag_idn;
	$data['msj']='Consumo actualizado.';
	
}else{
	$data['msj']='Por favor intentelo nuevamente.';
}
echo json_encode($data);
}



if($_POST['action'] == 'insertar'){
if(!empty($_POST['txt_conpag_fec']))
	{
		$mon_id=$_POST['txt_mone_id'];
		$_POST['doc_id'] = '10';
		
$dts=$oDocumento->mostrarUno($_POST['doc_id']);
	$dt = mysqli_fetch_array($dts);
	$mod_id=$dt['tb_modulo_id'];
	$doc_abr=$dt['tb_documento_abr'];
	$doc_nom=$dt['tb_documento_nom'];
	$doc_def=$dt['tb_documento_def'];
	$imp_id=$dt['tb_impresora_id'];
	mysqli_free_result($dts);
if($doc_abr=='T'){
	$ser = 'T00'.$_SESSION['usuario_ser'];
}else if($doc_abr=='F'){
	$ser = 'F00'.$_SESSION['usuario_ser'];
}else if($doc_abr=='B'){
	$ser = 'B00'.$_SESSION['usuario_ser'];
}else if($doc_abr=='GR'){
	$ser = 'GR00'.$_SESSION['usuario_ser'];
}else if($doc_abr=='NC'){
	$ser = 'NC00'.$_SESSION['usuario_ser'];
}else if($doc_abr=='C'){
	$ser = 'C00'.$_SESSION['usuario_ser'];
}
		
		$dts= $oTalonario->correlativo(1,$_POST['doc_id'],$ser);
		$dt = mysqli_fetch_array($dts);
			$tal_id=$dt['tb_talonario_id'];
			$tal_ser=$dt['tb_talonario_ser'];
			$tal_fin=$dt['tb_talonario_fin'];
			$tal_num=$dt['tb_talonario_num'];
		mysqli_free_result($dts);
		$numero=$tal_num;
		$largo=strlen($tal_fin);
		$numero=str_pad($numero,$largo, "0", STR_PAD_LEFT);
		$numdoc=$tal_ser.'-'.$numero;
		
		
		$fecha = date('Y-m-d');
		$rstes = $oTipocambiotesoreria->consultar($fecha);  
		$dttes = mysqli_fetch_array($rstes);
		$tipcamtes =  formato_money($dttes['tb_tipocambiotesoreria_val']);
		
		
		$oConsumopagar->insertar(
			fecha_mysql($_POST['txt_conpag_fec']),
			$_POST['doc_id'],
			$numdoc,
			$_POST['hdd_conpag_cli_id'],
			$_POST['txt_conpag_cli_nom'],
			$_POST['cmb_conpag_cli_dir'],
			$_POST['cmb_conpag_cli_vehi'],
			moneda_mysql($_POST['txt_conpag_valven']),
			intval(moneda_mysql($_POST['txt_conpag_des'])),
			moneda_mysql($_POST['txt_conpag_igv']),			
			moneda_mysql($_POST['txt_conpag_totsdes']),
			intval($_POST['txt_conpag_dia']),
			intval($_POST['hdd_conpag_mec_id']),
			'1',			
			$_POST['hdd_usu_id'],
			$_POST['hdd_usu_id'],
			$mon_id,
			$tipcamtes,
			$_POST['txt_punven_id'],
			'0',
			'0'
		);
		
		$dts=$oConsumopagar->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
		$conpag_id=$dt['id'];
		mysqli_free_result($dts);
		
		
		$estado='1';
		if($tal_num==$tal_fin)
		{
			$estado='2';
		}
		$numero=$tal_num+1;
		$oTalonario->actualizar_correlativo($tal_id, $numero, $estado);
		
		
	
		
		if(isset($_SESSION['consumopagar_catid']))foreach($_SESSION['consumopagar_catid'] as $indice=>$linea_cantidad)
		{
			$marid = $_SESSION['consumopagar_marid'][$indice];			
			$cat_id = $_SESSION['consumopagar_catid'][$indice];
			
			$dts=$oCatalogo->mostrarUno($cat_id,$marid);
			$dt = mysqli_fetch_array($dts);
				$pre_id	= $dt['tb_presentacion_id'];
				$cat_fac = $dt['tb_catalogo_fac'];
				$pro_nom = $dt['tb_producto_nom'];
				$pro_id = $dt['tb_producto_id'];
			mysqli_free_result($dts);		
			
			$can=$_SESSION['consumopagar_can'][$indice];		
			$valor_uni=$_SESSION['consumopagar_preven'][$indice];
			$des_uni = $_SESSION['consumopagar_des'][$indice];	
			
			/* $rscod = $oProductomarcacodigo->mostrarUno($cat_id,'1');
			$dtcod = mysqli_fetch_array($rscod);
			
			$cat_cod = $dtcod['tb_productomarcacodigo_cod']; */
			
			
			$can1 = $can;
			$pos = strpos($can1, 'F');
			
			if($pos===false){
			$can  = $can1 * $emp_fac;
			}else{
			
			$cane = 0;
			$canf = 0;
			list($cane,$canf) = explode('F',$can1);
			$can2 = 0;
			if($cane>0){
				$can2 = $cane*$emp_fac;
			}
			$can = $can2 + $canf;
			}
			
			$des_uni = 0;
			
			$oConsumopagar->insertar_detalle(
				$pro_id,
				$cat_id,
				$marid,
				$pro_nom,
				$can,
				$valor_uni,
				intval($des_uni),
				$conpag_id
			);
			
		}
	
	$data['conpag_act']=1;
	$data['conpag_id']=$conpag_id;
	$data['msj']='Consumo Nº '.$numdoc.' registrada';
	
	}else{
		
	$data['msj']='Por favor intentelo nuevamente registrada';
	}
echo json_encode($data);
} 


if($_POST['action']=="eliminar"){
	if(!empty($_POST['conpag_id']))
	{
			$oConsumopagar->modificar_campo($_POST['conpag_id'],'xac','0');
			$data['msj'] = 'Se eliminó cotizacion correctamente.';
	}
	else
	{
		 $data['msj'] = 'Intentelo nuevamente.';
	}
	echo json_encode($data);
}


if($_POST['action']=="quitaritem"){
	
	//echo 'INGRESOO';
	
	if(!empty($_POST['cat_id']))
	{
			$oConsumopagar->eliminardetalle($_POST['cat_id']);
			responder(true, 'Item eliminado correctamente.', ['tipo' => 'eliminado']);
		
	}
	else
	{
		responder(true, 'Intentelo nuevamente.', ['tipo' => 'eliminado']);
	}
	echo json_encode($data);
}


if($_POST['action']=="actualizarestado"){
	if(!empty($_POST['conpag_id']))
	{
			$oConsumopagar->modificar_campo($_POST['conpag_id'],$_POST['campo'],$_POST['valor']);
			$data['msj'] = 'Consumo Nº '. $_POST['texto'].' a sido actualizada correctamente.';
	}
	else
	{
		$data['msj'] = 'Intentelo nuevamente.';
	}
	echo json_encode($data);
}


if($_POST['action']=="agregaritem"){
	
	if(!empty($_POST['conpagid']))
	{
		//echo $_POST['cat_id'] .' -mar '.$_POST['mar_id'];
		
		$dts1=$oCatalogo->mostrarUno($_POST['cat_id'],$_POST['mar_id']);
		$dt1 = mysqli_fetch_array($dts1);
		
		$emp_fac = $dt1['tb_empaque_fac'];
		$pro_nom = $dt1['tb_producto_nom'];
		$ran = $dt1['tb_catalogo_ran'];
		$prevenmen = $dt1['tb_productomarca_preven'];
		$prevenmenf = $dt1['tb_productomarca_prevenf'];
		$preccos = $dt1['tb_productomarca_precos'];
			
		$des = 0;
		
		$_POST['cat_can'] = strtoupper($_POST['cat_can']);
		//echo $_POST['cat_can'];
		//echo '¡¡-....'.$_POST["cat_can"];
			$can1 = $_POST['cat_can'];
			$pos = strpos($can1, 'F');
			
			if($pos===false){
			
			$can  = $can1 * $emp_fac;
			//$_POST['cat_preven'] = $prevenmen;
			
			if($_POST['cat_preven']!=""){
			
			}else{
				$_POST['cat_preven'] = $prevenmen/1.18;
			}
		
			
			}else{
				
				
			if($_POST['cat_preven']!=""){
			
			}else{
				$_POST['cat_preven'] = $prevenmenf/1.18;
			}
			
			$cane = 0;
			$canf = 0;
			list($cane,$canf) = explode('F',$can1);
			//echo $cane.'--'.$canf;
			$can2 = 0;
			if($cane>0){
				$can2 = $cane*$emp_fac;
			}
				$can = $can2 + $canf;
				
			}
		
		//echo 'can '.$can;
		
		
		//echo '---'.$_POST['cat_can'];
		
		$oConsumopagar->insertar_detalle(
				$pro_id,
				$_POST['cat_id'],
				$_POST['mar_id'],
				$pro_nom,
				$can,
				$_POST['cat_preven'],
				$des,
				$_POST['conpagid']
			);	
	
		
		
		
		responder(true, 'Item agregado', ['tipo' => 'agregado']);
	}
	else
	{
		$data['msj'] = 'Intentelo nuevamente.';
	}
	echo json_encode($data);	
}


if($_POST['action']=="actualizaritem"){
	
	if(!empty($_POST['conpagid']))
	{
		//echo $_POST['cat_id'] .' -mar '.$_POST['mar_id'];
		
		$dts1=$oCatalogo->mostrarUno($_POST['cat_id'],$_POST['mar_id']);
		$dt1 = mysqli_fetch_array($dts1);
		$emp_fac = $dt1['tb_empaque_fac'];
		$pro_nom = $dt1['tb_producto_nom'];
		$ran = $dt1['tb_catalogo_ran'];
		$prevenmen = $dt1['tb_productomarca_preven'];
		$prevenmenf = $dt1['tb_productomarca_prevenf'];
		$preccos = $dt1['tb_productomarca_precos'];
			
	//echo $_POST['cat_preven'] ;
		
		 $oConsumopagar->editar_detalle(
				$_POST['cat_preven'],
				$_POST['conpagdet_id']
			);
		
		responder(true, 'Item actualizado', ['tipo' => 'agregado']);
	}
	else
	{
		$data['msj'] = 'Intentelo nuevamente.';
	}
	echo json_encode($data);	
}


?>